import React from "react"
import { shallow, mount, render } from "enzyme"
import Pill, { Close } from "../src"

describe("Pill", () => {
  it("Renders text inside the pill", () => {
    expect(shallow(<Pill text="I'm a pill" />).contains("I'm a pill")).toBe(
      true
    )
  })

  it("Renders close button when not readonly", () => {
    expect(shallow(<Pill text="I'm a pill" />).contains(<Close>×</Close>)).toBe(
      true
    )
  })

  it("Does not render close button when readonly", () => {
    expect(
      shallow(<Pill text="I'm a pill" readonly />).contains(<Close>×</Close>)
    ).toBe(false)
  })
})
